org.apache.maven.scm.provider.tfs.command

## Class TfsListCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.list.AbstractListCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsListCommand

- All Implemented Interfaces:
    Command

      public class TfsListCommand
      extends AbstractListCommand

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfsListCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TfsCommand` | `createCommand(ScmProviderRepository r, ScmFileSet f, boolean recursive)`
    `protected ListScmResult` | `executeListCommand(ScmProviderRepository r, ScmFileSet f, boolean recursive, ScmVersion v)` List contents of the remote repository

    - ### Methods inherited from class org.apache.maven.scm.command.list.AbstractListCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TfsListCommand

          public TfsListCommand()

  - ### Method Detail

    - #### executeListCommand

          protected ListScmResult executeListCommand(ScmProviderRepository r,
                                         ScmFileSet f,
                                         boolean recursive,
                                         ScmVersion v)
                                              throws ScmException

      Description copied from class: `AbstractListCommand`
      List contents of the remote repository
      Specified by:
        `executeListCommand` in class `AbstractListCommand`
      Parameters:
        `r` - what to list
        `f` - the files to list
        `recursive` - whether list should return subfolder listing
      Returns:
        the list of files
      Throws:
        `ScmException`

    - #### createCommand

          public TfsCommand createCommand(ScmProviderRepository r,
                                 ScmFileSet f,
                                 boolean recursive)

Copyright © 2003–2015. All rights reserved.